{ self
, pkgs ? import <nixpkgs> {}
, gpgKey
}:

let
  result = pkgs.lib.evalModules {
    args = {
      inherit self pkgs;
    };
    modules = [
      (
        { lib, ... }:
        with lib;
        {
          options.warnings = mkOption {
            type = types.listOf types.str;
            default = [];
            internal = true;
          };
          options.gpgKey = mkOption {
            type = with types; nullOr path;
          };
          config = {
            inherit gpgKey;
          };
        }
      )
      ./options.nix
      ./legacy.nix
    ];
  };
in
result.config
