#!yaml|gpg
switches:
  switch-b1:
    model: '3com-4200G'
    location: Haus B Souterrain
    # Ports 1-24 oben
    # Ports 25-48 unten
    # Ports 49-52 unten seitlich (optisch)
    # 10GE hinten
    ports:
      switch-b2:
        mode: bond
        group: 3
        ports:
          - TenGigabitEthernet 1/1/1
          - GigabitEthernet 1/0/25
          - GigabitEthernet 1/0/26
          - GigabitEthernet 1/0/27
          - GigabitEthernet 1/0/28
        vlans: &switch_b_vlans
          - mgmt
          - core
          - serv
          - pub
          - c3d2
          - cluster
          - bmx
          - priv1
          - priv2
          - priv3
          - priv4
          - priv5
          - priv6
          - priv7
          - priv8
          - priv9
          - priv10
          - priv11
          - priv12
          - priv13
          - priv14
          - priv15
          - priv16
          - priv17
          - priv18
          - priv19
          - priv22
          - priv23
          - priv24
          - priv26
          - priv27
          - priv35
      mgmt:
        mode: access
        ports:
          - GigabitEthernet1/0/1
      iso1:
        mode: access
        ports:
          - GigabitEthernet 1/0/2
      iso2:
        mode: access
        ports:
          - GigabitEthernet 1/0/3
      iso3:
        mode: access
        ports:
          - GigabitEthernet 1/0/4
      ap8:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/16
        vlans:
          - mgmt
          - pub
          - c3d2
          - priv23
      ap23:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/10
        vlans:
          - mgmt
          - pub
          - priv30
      switch-c1:
        mode: bond
        group: 2
        ports:
          - GigabitEthernet1/0/29
          - GigabitEthernet1/0/30
          - GigabitEthernet1/0/31
          - GigabitEthernet1/0/32
        vlans:
          - mgmt
          - pub
          - core
          - c3d2
          - bmx
          - up1
          - up2
          - up3
          - up4
          - up5
          - up6
          - up7
          - up8
          - priv20
          - priv25
          - priv26
          - priv28
          - priv29
          - priv31
          - priv32
          - priv33
          - priv34
          - priv36
          - priv37
          - priv40
          - iso1
          - iso2
          - iso3
          - iso4
          - iso5
          - iso6
          - iso7
          - iso8
          - iso9
          - iso10
          - iso11
          - iso12
          - iso13
          - iso14
          - iso15
          - iso16
      switch-d1:
        mode: bond
        group: 5
        ports:
          # 33 is not currently plugged
          - GigabitEthernet1/0/33
          - GigabitEthernet1/0/34
        vlans:
          - mgmt
          - core
          - pub
          - c3d2
          - bmx
          - priv15
          - priv16
          - priv21
          - priv38
      server1:
        mode: bond
        group: 7
        ports:
          - GigabitEthernet1/0/46
          - GigabitEthernet1/0/47
          - GigabitEthernet1/0/48
          - GigabitEthernet1/0/24
        vlans: &server1_vlans
          - mgmt
          - pub
          - core
          - serv
          - c3d2
          - cluster
          - up1
          - up2
          - up3
          - up4
          - up5
          - up6
          - up7
          - up8
          - priv1
          - priv2
          - priv3
          - priv4
          - priv5
          - priv6
          - priv7
          - priv8
          - priv9
          - priv10
          - priv11
          - priv12
          - priv13
          - priv14
          - priv15
          - priv16
          - priv17
          - priv18
          - priv19
          - priv20
          - priv21
          - priv22
          - priv23
          - priv24
          - priv25
          - priv26
          - priv27
          - priv28
          - priv29
          - priv30
          - priv31
          - priv32
          - priv33
          - priv34
          - priv35
          - priv36
          - priv37
          - priv38
          - priv39
          - priv40
      server2:
        mode: bond
        group: 1
        ports:
          - GigabitEthernet1/0/12
          - GigabitEthernet1/0/38
          - GigabitEthernet1/0/39
          - GigabitEthernet1/0/40
        vlans: *server1_vlans
      c3d2-server5:
        mode: bond
        group: 6
        ports:
          - GigabitEthernet1/0/17
          - GigabitEthernet1/0/18
          - GigabitEthernet1/0/19
          - GigabitEthernet1/0/20
        vlans: &server_vlans
          - mgmt
          - pub
          - core
          - serv
          - c3d2
          - cluster
          - bmx
          - priv23
      c3d2-server6:
        mode: bond
        group: 8
        ports:
          - GigabitEthernet1/0/5
          - GigabitEthernet1/0/6
          - GigabitEthernet1/0/7
          - GigabitEthernet1/0/8
        vlans: *server_vlans
      c3d2-server7:
        mode: bond
        group: 9
        ports:
          - GigabitEthernet1/0/9
          - GigabitEthernet1/0/11
          - GigabitEthernet1/0/14
          - GigabitEthernet1/0/15
        vlans: *server_vlans
      c3d2-server8:
        mode: bond
        group: 10
        ports:
          - GigabitEthernet1/0/35
          - GigabitEthernet1/0/36
          - GigabitEthernet1/0/37
          - GigabitEthernet1/0/13
        vlans: *server_vlans
      c3d2-monit:
        mode: trunk
        ports:
          - GigabitEthernet1/0/21
          - GigabitEthernet1/0/45
        access: c3d2
      c3d2:
        mode: access
        ports:
          - GigabitEthernet1/0/23
      switch-c3d2-main:
        mode: bond
        group: 4
        ports:
          - GigabitEthernet 1/0/41
          - GigabitEthernet 1/0/42
          - GigabitEthernet 1/0/43
          - GigabitEthernet 1/0/44
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
          - priv39
    password: |
      -----BEGIN PGP MESSAGE-----

      hQEMA2PKcvDMvlKLAQf/c9ysLI/ePzYtqz7AyoKBZQKFau/pEpQDswA5hdJiRSgh
      TQ73u7NVVYTGk/sZ2awAVLQ/KUM7JPMHMXK1+uPIQq0/+Xg/v5zJdaWwRUUIGtCz
      Sg3BpV41a/NgxlJbh0bJw0CjlgTHF7qIhiQNoHx/DnYECab8bMr8i7NziWXZl1kf
      6A5BqAu5siaaqngn5wYmMdstl48lejiDNgtZSeti/1FV9fk4D2w9zEMHZnTS2M+O
      TzDk2lsAA4CEXeQBsBOSMsbHDy6yo4CzuNk61ALfH8a3Tn1sQjfSLo021xAvqj5U
      nS9/L/57ffRILzz1hfURBV0N/VnDqi5enSZIvVU2WtJLAZEAghgXjE7rfjsN1ypG
      mYUz1OQ9cLG8ttSL9+fhYc8rCW0jx8KD5HKPiNHnR1x0s2RbUnprQdlFgC4go8U7
      DRE15mc7GkkYbvIl
      =/BZc
      -----END PGP MESSAGE-----

  switch-b2:
    model: '3com-4200G'
    location: Haus B Souterrain
    # Ports 1-24 oben
    # Ports 25-48 unten
    # Ports 49-52 unten seitlich (optisch)
    # 10GE hinten
    ports:
      switch-b1:
        mode: bond
        group: 2
        ports:
          - TenGigabitEthernet 1/1/1
          - GigabitEthernet 1/0/25
          - GigabitEthernet 1/0/26
          - GigabitEthernet 1/0/27
          - GigabitEthernet 1/0/28
        vlans: *switch_b_vlans
      mgmt:
        mode: access
        ports:
          - GigabitEthernet1/0/1
          - GigabitEthernet1/0/41  # server3
          - GigabitEthernet1/0/42  # server1
          - GigabitEthernet1/0/43  # unused
          - GigabitEthernet1/0/44  # unused
          - GigabitEthernet1/0/45  # server6
          - GigabitEthernet1/0/46  # server7
          - GigabitEthernet1/0/47  # server8
          - GigabitEthernet1/0/48  # server9
      priv1:
        mode: access
        ports:
          - GigabitEthernet 1/0/3
      priv2:
        mode: access
        ports:
          - GigabitEthernet 1/0/4
      priv3:
        mode: access
        ports:
          - GigabitEthernet 1/0/5
      ap42:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/6
        vlans:
          - mgmt
          - pub
          - priv4
      ap5:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/7
        vlans:
          - mgmt
          - priv5
          - pub
      ap1:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/8
        vlans:
          - mgmt
          - priv6
          - pub
      ap11:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/10
        vlans:
          - mgmt
          - priv8
          - pub
      ap15:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/12
        vlans:
          - mgmt
          - priv10
          - pub
      ap53:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/15
        vlans:
          - mgmt
          - pub
          - priv11
      pub:
        mode: access
        ports:
          - GigabitEthernet 1/0/11
          - GigabitEthernet 1/0/20
          - GigabitEthernet 1/0/24
      ap18:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/18
        vlans:
          - mgmt
          - pub
          - priv9
      ap51:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/13
        vlans:
          - mgmt
          - pub
          - priv17
      c3d2-server3:
        mode: bond
        group: 1
        ports:
          - GigabitEthernet1/0/30
          - GigabitEthernet1/0/31
        vlans: *server_vlans
      c3d2-server9:
        mode: bond
        group: 3
        ports:
          - GigabitEthernet1/0/2
          - GigabitEthernet1/0/29
          - GigabitEthernet1/0/32
        vlans: *server_vlans
      ap24:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/34
        vlans:
          - mgmt
          - pub
          - priv12
      ap25:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/35
        vlans:
          - mgmt
          - pub
          - priv12
      ap29:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/36
        vlans:
          - mgmt
          - pub
          - priv13
      ap30:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/22
        vlans:
          - mgmt
          - pub
          - priv14
      ap35:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/23
        vlans:
          - mgmt
          - pub
          - priv18
      priv19:
        mode: access
        ports:
          - GigabitEthernet 1/0/40
      ap37:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/39
        vlans:
          - mgmt
          - pub
          - priv19
      ap39:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/17
        vlans:
          - mgmt
          - pub
          - priv7
      ap40:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/21
        vlans:
          - mgmt
          - pub
          - priv22
      priv24:
        mode: access
        ports:
          - GigabitEthernet 1/0/14
          - GigabitEthernet 1/0/16
      ap41:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/37
        vlans:
          - mgmt
          - pub
          - priv26
      ap55:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/19
        vlans:
          - mgmt
          - pub
          - priv6
      ap56:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/9
        vlans:
          - mgmt
          - pub
          - priv6
      ap54:
        mode: trunk
        ports:
          - GigabitEthernet 1/0/38
        vlans:
          - mgmt
          - pub
          - priv35
    password: |
      -----BEGIN PGP MESSAGE-----

      hQEMA2PKcvDMvlKLAQf+N6p+ZuZsx1AF7CI2TKsxxEU1EyM1DIqtk7d5DoidTIZ4
      zYnL9X72VSQiNRtkk955wU5sStanDjQMxBUcEO/bEQq6Cjy7tgWZZXEfCedM3Xzq
      MEs861JCHdpBfL/zehHZxjmGe+St0xRGn4yBZcP/835Sl6t6q4znPFabcgDmIItX
      ZsjaQfKd0La8GclHI1Pib7UuI6fvD70GkcQHoKoM1cOw8HQRpY953RnTNDKUk7is
      ZjvhHkPUU2smLxJhCCwAiARq7TZceI0orfCkjQ87sRXavO82dn2Vq3mD9iVwnYY+
      mVuYBhqguwq0HoOomHKf/JbQc7Gz8E+SBHWvjCUvVtJLARwt3KUvZGY28oKm7pcs
      ITJJEiVPfnS2CtIm7T0nCm4LMiE20GWhhJIh8gIQuORlUvtMX0R29v3cVcNYCbIh
      +2WKG1F/gum7at/q
      =On3v
      -----END PGP MESSAGE-----

  switch-c1:
    model: 'HP-procurve-2824'
    location: Turm C Keller, bei Kabelanschluessen
    # Ports 1-19 ungerade oben
    # Ports 2-20 gerade unten
    # (15, 16 gehen aktuell nach Haus A)
    # Ports 21-24 unten seitlich (optional optisch)
    # Port 7 geht aktuell nach Turm C Erdgeschoss und dadurch zur Ecce
    ports:
      switch-b1:
        mode: bond
        group: 2
        ports: 21-24
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
          - up1
          - up2
          - up3
          - up4
          - up5
          - up6
          - up7
          - up8
          - iso1
          - iso2
          - iso3
          - iso4
          - iso5
          - iso6
          - iso7
          - iso8
          - iso9
          - iso10
          - iso11
          - iso12
          - iso13
          - iso14
          - iso15
          - iso16
          - priv20
          - priv25
          - priv26
          - priv28
          - priv29
          - priv31
          - priv32
          - priv33
          - priv34
          - priv36
          - priv37
          - priv40
      up1:
        mode: access
        ports: '1'
        nostp: true
      up2:
        mode: access
        ports: '2'
        nostp: true
      up3:
        mode: access
        ports: '3'
        nostp: true
      up4:
        mode: access
        ports: '4'
        nostp: true
      up5:
        mode: access
        ports: '5'
        nostp: true
      # "Antenne Dach"
      bmx:
        mode: access
        ports: '6'
      iso1:
        mode: access
        ports: '9'
      iso2:
        mode: access
        ports: '10'
      iso3:
        mode: access
        ports: '11'
      iso4:
        mode: access
        ports: '12'
      iso5:
        mode: access
        ports: '13'
      iso6:
        mode: access
        ports: '14'
      ap34:
        mode: trunk
        # Saal A Foyer
        ports: 20
        vlans:
          - mgmt
          - pub
          - priv25
      # Saal A: durch dummen PoE-Switch mit Aggregation an ap44-50 + switch-a1
      switch-a1:
        mode: bond
        group: 1
        ports: 15-16
        lacp: no
        vlans:
          - mgmt
          - pub
          - priv25
          - priv31
          - priv32
          - priv36
      ap19:
        mode: trunk
        ports: 17
        vlans:
          - mgmt
          - pub
          - priv26
          - priv40
      ap26:
        mode: trunk
        ports: 18
        vlans:
          - mgmt
          - pub
          - priv37
      ap17:
        mode: trunk
        ports: 19
        vlans:
          - mgmt
          - pub
          - priv29
          - priv33
          - priv34
      ap38:
        mode: trunk
        ports: 7
        vlans:
          - mgmt
          - pub
          - priv20
          - priv28
    password: |
      -----BEGIN PGP MESSAGE-----
      
      hQEMA2PKcvDMvlKLAQgAhPMG6VKUFLVNZmVfZ6P21CrXRmUeExuxIg4QIrYtKfYe
      cxWst/IuHnDyL2TP8yGb00sjz7o0psZ9Z+zRCi/ONONyNzee103ymjXxk0Ygekid
      1IGVeSTqskrgOl53mFZEfP4nBcOqzcNFjMkm0c5B2OmHHHOokOJ5Xzsya120SGXk
      JnYFVsRD6GFwuF88pgQ5VrGd5/drMaIrNkJ69dyfvYdHRTd0UgtiZFOMesRYFFP7
      +QdSW1MFoVZnjZgLeoNF/efIhHnTdClROCMZBYU5Z3pQcHAfE4GN3w+MceP/+5EY
      z3wuSNpsuYNr8NnEDvofTJGdOLuclE6JPFvJMg1QptJKASfn3ZlOrL4ohbPGaDQ6
      z1P+6DJXliXS7dBdxH0bsB2qRZslmcj286D9bPgTsuvCzOaxcTtkM8y76gVVOVBI
      TN+j1/OdlXyVmTM=
      =XUUi
      -----END PGP MESSAGE-----

  # Unused: 3
  switch-d1:
    model: 'TL-SG3210'
    location: Turm D Keller
    ports:
      switch-b1:
        mode: bond
        ports: 1
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
          - priv15
          - priv16
          - priv21
          - priv38
      ap9:
        mode: trunk
        ports: 5
        vlans:
          - mgmt
          - pub
          - priv16
      ap10:
        mode: trunk
        ports: 4
        vlans:
          - mgmt
          - pub
          - priv15
          - priv21
      ap7:
        mode: trunk
        # Turm D, 5. Etage
        ports: 8
        vlans:
          - mgmt
          - pub
      ap22:
        mode: trunk
        ports: 2
        vlans:
          - mgmt
          - pub
      ap12:
        mode: trunk
        ports: 7
        vlans:
          - mgmt
          - pub
          - priv38
      ap3:
        mode: trunk
        ports: 3
        vlans:
          - mgmt
          - pub
          - c3d2
    password: |
      -----BEGIN PGP MESSAGE-----
      
      hQEMA2PKcvDMvlKLAQgAkS9jHdnqPPary/yduPsA3Ya1rrERxfZxJnvicexUKl7b
      eJlLe8e1BQE3BTaqkvLcBrGztBBvrgnv+kzmSTCd5jbL2/fFOdhedBsNjWpYtA7A
      o6PPfYHka/Km4J/MihzVac9XUbBFhN0ETGYbGi0upPHHEKht3bUNzqkzvHxhQ8lJ
      D7dDPs3vJXx3Ey8taZawdLJ9IcthvSojt8Un5A/SpdroW2CF4u0Gubuz+9D5i0T5
      vXDqDQqEewu7pofxZ8TR4PY9PNHT9kmHyI2sIq1AkqP0Mn8wKP7dJVrUS3Z+xBUt
      /f0B+8a0EJDuQBB2p7yRlBcg5d58TGB59pptmLpQ39JDAbZxHQymPKy3R14k1wKa
      fYvaMBkaGtcu/foCb1r3xfAZOJSF5MT754wjvxB1bl/iizqJQm+WN3YAkja/Gwh+
      J31/Ng==
      =e45t
      -----END PGP MESSAGE-----

  switch-c3d2-main:
    model: 'HP-procurve-2824'
    location: C3D2
    # Ports 1-19 ungerade oben
    # Ports 2-20 gerade unten
    # (15, 16 gehen aktuell nach Haus A)
    # Ports 21-24 unten seitlich (optional optisch)
    # Unused Port 7 geht aktuell nach Turm C Erdgeschoss
    ports:
      mgmt:
        mode: access
        ports: 1
      switch-b1:
        mode: bond
        group: 1
        ports: 21-24
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
          - priv39
      ap2:
        mode: trunk
        ports: 3
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
      ap31:
        mode: trunk
        ports: 2
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
          - priv39
      # For testing a new ap
      ap-test1:
        mode: trunk
        ports: 4
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
      # For testing a new ap
      ap-test2:
        mode: trunk
        ports: 5
        vlans:
          - mgmt
          - pub
          - c3d2
          - bmx
      # Freifunk Mesh-on-LAN
      bmx:
        mode: access
        ports: '6-7'
      c3d2:
        mode: access
        ports: '8-20'

    password: |
      -----BEGIN PGP MESSAGE-----
      
      hQEMA2PKcvDMvlKLAQf+P65UkLF8x+pDNEoeSISflL8QTPih/D8lP5CK5gYTaL6x
      0SoVanRYdXERiXdZ1FXw/zorg76Ofpa35k+88wRK7XxGDkP62TC26Qeu8ZbCX4kR
      t+IQSlKk74YTCC15vBFF+pAa5PFCWPBiWcl5yKTxCNy7e/wHSVtusia6WcmvwJJy
      M4cY8uPiKEtwLqwZ6hJIjNbjU8yFRI3EQ1irTcd/6WBErIoaaeQT5GpUvPQ6xa6R
      lfw0OVmKK31Kmwgs+Wty/hiBlASMGdUQZDHVwsoLyFIpWejH+lfY4RMkdqz8BP2a
      CFxQMWipc4lXMw1n4oXpkr5DPAYB0d2vDPL2sKV5KNJJAe9RC4rLlk+9uYqE4PyK
      RswLCZhHuKqFa07ufkRpbFGyywAa70UXtbvPkbJb6G1mJ75ozXTS11JqhAdnHCBC
      2i+VD94/nzLdvg==
      =1SbG
      -----END PGP MESSAGE-----

  # switch-a1-poe:
  #   password: |
  #     ----BEGIN PGP MESSAGE-----
      
  #     hQEMA2PKcvDMvlKLAQf/ZSCPgN2uBCz3eZgIhOlTsAIxOHugCrROoXzmnV+XiD8j
  #     BP3T/KWCooFhdiWx9STyVJWk/tKz3UoVm+PmfYVeM7N3/FCXvN9N8eM1LNat/KVF
  #     frAu9raBhvH12DOBvSa5ouC9dbM/ggh/joJBUhIppGZk0aBGTjYcdxnQPGZmkwej
  #     ysnrKedMuIXGh+NWGusTe2Pgs81Ei5w/rnRp4jJZd4YD5hIVnO2KqPT50mlmc4Hi
  #     6eg65oqFrzG5bJb1NYObt3D66nHpKZPoOXiw2Gg87twFvRsV7x+dyXuNvsOr3nIb
  #     Keeib9sXus67+zNwGJ5MmnZz5kM+iLE3AcTAQ67andJEAQAvyoDfxMMlMqhx/QNU
  #     VlTLZwdATmZ/JdCSoN+ti1+XG+7Lo7faOpUW/CxYD5iiSHsrA1/TvhZkVDB+Oqmx
  #     NJUMaDQ=
  #     =kig9
  #     -----END PGP MESSAGE-----

  switch-a1:
    model: 'TL-SG3210'
    location: Saal A
    ports:
      # ZW stage
      priv25:
        mode: access
        ports:
          - 1
          - 2
          - 3
          - 4
          - 5
      # ZW office
      priv31:
        mode: access
        ports:
          - 6
      switch-c1:
        # Eigentlich gehen diese Ports durch das dumme PoE-Switch mit
        # statisch konfigurierter Aggregation
        mode: trunk
        ports: 7,1/0/8
        vlans:
          - mgmt
          - pub
          - priv25
          - priv31
    password: |
      -----BEGIN PGP MESSAGE-----
      
      hQEMA2PKcvDMvlKLAQgAkS9jHdnqPPary/yduPsA3Ya1rrERxfZxJnvicexUKl7b
      eJlLe8e1BQE3BTaqkvLcBrGztBBvrgnv+kzmSTCd5jbL2/fFOdhedBsNjWpYtA7A
      o6PPfYHka/Km4J/MihzVac9XUbBFhN0ETGYbGi0upPHHEKht3bUNzqkzvHxhQ8lJ
      D7dDPs3vJXx3Ey8taZawdLJ9IcthvSojt8Un5A/SpdroW2CF4u0Gubuz+9D5i0T5
      vXDqDQqEewu7pofxZ8TR4PY9PNHT9kmHyI2sIq1AkqP0Mn8wKP7dJVrUS3Z+xBUt
      /f0B+8a0EJDuQBB2p7yRlBcg5d58TGB59pptmLpQ39JDAbZxHQymPKy3R14k1wKa
      fYvaMBkaGtcu/foCb1r3xfAZOJSF5MT754wjvxB1bl/iizqJQm+WN3YAkja/Gwh+
      J31/Ng==
      =e45t
      -----END PGP MESSAGE-----
